

use "ACS2017-2021_finalready.dta" , clear 




		
	*KEEP MARRIED MIGRANTS BEFORE MIGRATION 
	
	keep if status_evermarried ==1
	
	foreach v in evermarr_det1 evermarr_det2 evermarr_det3  {
		g STD_`v'= `v'	
	}
	* 
	
************************************************************************************************************************			
*  FIGURE 1, PANEL A			
************************************************************************************************************************			
	* MALE
preserve 
	keep if male==1 
	keep if yrsusa1<21 
	collapse (mean) evermarr_det1 evermarr_det2 evermarr_det3 (semean) STD_*  , by(yrsusa1)
	
	foreach v in evermarr_det1 evermarr_det2 evermarr_det3  {
		g upper_`v'= `v' + 1.96*STD_`v'
		g lower_`v'= `v' - 1.96*STD_`v'	
	}
							
twoway  ( rarea   upper_evermarr_det2 lower_evermarr_det2     yrsusa1 ,    color(ltblue)  ) || /// 
		( rarea   upper_evermarr_det3 lower_evermarr_det3     yrsusa1 ,    color(" 189 30 36*.1")  ) || ///  
		(line   evermarr_det2   yrsusa1 , lcolor(blue) ) ///
	      (line  evermarr_det3   yrsusa1 , lcolor(red) ) ///
         , legend(order(3 "Spouse absent" 4   "Separated or divorced") region(lwidth(none)) ) ///
		    xtitle("Years in the US")  ytitle("")   ylab(, angle(horizontal)) graphregion(color(white)) ///
			title("Figure 1 panel (a), men")	name(fig1_A, replace) 
	
	graph export "${result}/Fig1_panelA.png", width(1000) replace 

	
restore
 
************************************************************************************************************************			
*  FIGURE 1, PANEL B			
************************************************************************************************************************			
	* FEMALE
preserve 
	keep if male==0 
	keep if yrsusa1<21 
	collapse (mean) evermarr_det1 evermarr_det2 evermarr_det3 (semean) STD_*  , by(yrsusa1)
	
	foreach v in evermarr_det1 evermarr_det2 evermarr_det3  {
		g upper_`v'= `v' + 1.96*STD_`v'
		g lower_`v'= `v' - 1.96*STD_`v'	
	}
	
twoway  ( rarea   upper_evermarr_det2 lower_evermarr_det2     yrsusa1 ,    color(ltblue)  ) || /// 
		( rarea   upper_evermarr_det3 lower_evermarr_det3     yrsusa1 ,    color(" 189 30 36*.1")  ) || ///  
		(line   evermarr_det2   yrsusa1 , lcolor(blue) ) ///
	      (line  evermarr_det3   yrsusa1 , lcolor(red) ) ///
         , legend(order(3 "Spouse absent" 4   "Separated or divorced") region(lwidth(none)) ) ///
		    xtitle("Years in the US")  ytitle("")   ylab(, angle(horizontal)) graphregion(color(white)) title("Figure 1 panel (b), women")	name(fig1_B, replace) 

  graph export "${result}/Fig1_panelB.png", width(1000) replace 

				
restore 
		
	

	
************************************************************************************************************************			
*  FIGURE A.2	
************************************************************************************************************************			

		
*** MEXICAN MALE 


	* MALE
preserve 
	keep if male==1 & country_ori==1
	ta country_ori 
	keep if yrsusa1<21 
	
	collapse (mean) evermarr_det1 evermarr_det2 evermarr_det3 (semean) STD_*  , by(yrsusa1)
	
	foreach v in evermarr_det1 evermarr_det2 evermarr_det3  {
		g upper_`v'= `v' + 1.96*STD_`v'
		g lower_`v'= `v' - 1.96*STD_`v'	
	}
							
twoway  ( rarea   upper_evermarr_det2 lower_evermarr_det2     yrsusa1 ,    color(ltblue)  ) || /// 
		( rarea   upper_evermarr_det3 lower_evermarr_det3     yrsusa1 ,    color(" 189 30 36*.1")  ) || ///  
		(line   evermarr_det2   yrsusa1 , lcolor(blue) ) ///
	      (line  evermarr_det3   yrsusa1 , lcolor(red) ) ///
         , legend(order(3 "Spouse absent" 4   "Separated or divorced") region(lwidth(none)) ) ///
	xtitle("Years in the US")  ytitle("")   ylab(, angle(horizontal)) graphregion(color(white)) title("Figure A.2: Mexican male migrants") name(figA2, replace) 

  graph export "${result}/FigA2.png", width(1000) replace 

	
restore 
		
			
	
			
			