
use "ACS2017-2021_finalready.dta" , clear 

	 			
	global outcome married_to_unmarried   married_to_unmarried_v2   unmarried_to_married   unmarried_to_married_v2 ///
					unmarried_to_married_v3 married_to_unmarried_v3   
	

	
	foreach v in $outcome {
		
		rename change_`v' `v'
		g STD_`v'= `v'
		
	}
	* 
	global STD STD_married_to_unmarried STD_married_to_unmarried_v2 STD_unmarried_to_married STD_unmarried_to_married_v2 STD_unmarried_to_married_v3 STD_married_to_unmarried_v3
	
***********************************************************************************************************************	*						
* FIGURE 2 and Figure A.1, for MEN 
************************************************************************************************************************			
	
preserve 
	keep if male==1 
	keep if yrsusa1<21 
collapse (mean)  $outcome  (semean) $STD , by(yrsusa1)

	foreach v in $outcome {
		g upper_`v'= `v' + 1.96*STD_`v'
		g lower_`v'= `v' - 1.96*STD_`v'
	}
	

twoway 	( rarea   upper_married_to_unmarried_v3 lower_married_to_unmarried_v3    yrsusa1 ,    color(ltblue)  ) || /// 
		( rarea   upper_unmarried_to_married_v3 lower_unmarried_to_married_v3     yrsusa1 ,    color(" 189 30 36*.1")  ) || ///  
		(line   married_to_unmarried_v3 yrsusa1 , lcolor(blue))  ///
	   (line   unmarried_to_married_v3    yrsusa1 , lcolor(red) ) ///
         , legend(order(3 "from married to unmarried" 4   "from unmarried to married") region(lwidth(none)) ) ///
		    xtitle("Years in the US")  ytitle("")   ylab(, angle(horizontal)) graphregion(color(white)) name(fig2men,replace) ///
			title("Figure 2 panel a, men")
		
	 graph export "${result}/Fig2_panelA.png", width(1000) replace 

		  
twoway 	(rarea   upper_married_to_unmarried     lower_married_to_unmarried    yrsusa1 ,    color(ltblue)  ) || /// 
		(rarea   upper_married_to_unmarried_v2  lower_married_to_unmarried_v2    yrsusa1 ,    color(ltblue)  ) || /// 
		(rarea   upper_unmarried_to_married     lower_unmarried_to_married    yrsusa1 ,     color(" 189 30 36*.1")  ) || /// 
		(rarea   upper_unmarried_to_married_v2  lower_unmarried_to_married_v2   yrsusa1 ,    color(" 189 30 36*.1")   ) || /// 
	    (line   married_to_unmarried yrsusa1 , lcolor(blue))  ///
	    (line   married_to_unmarried_v2  yrsusa1  , lcolor(blue) lpattern(dash)) ///
	    (line   unmarried_to_married    yrsusa1 , lcolor(red) ) ///
	    (line   unmarried_to_married_v2  yrsusa1  , lcolor(red) lpattern(dash)) ///
         , legend(order(5 "from married" "to unmarried" "assumption 1" 6  "assumption 2" ///
		   7 "from unmarried" "to married" "assumption 1"  8  "assumption 2" ) col(1) region(lwidth(none)) ring(0) position(11) symxsize(5pt) size( medsmall  )     ) ///
		  xtitle("Years in the US") ytitle("")  ylab(, angle(horizontal)) graphregion(color(white)) name(figA1men,replace)  ///
			title("Figure A.1 panel a,  men")
	 
	 graph export "${result}/FigA1_panelA.png", width(1000) replace 

	 
			
 restore


***********************************************************************************************************************	*						
* FIGURE 2 and Figure A.1, for WOMEN 
************************************************************************************************************************			
	
preserve 
	keep if male==0 
	keep if yrsusa1<21 
	
collapse (mean)  $outcome  (semean) $STD , by(yrsusa1)

	foreach v in $outcome {
		g upper_`v'= `v' + 1.96*STD_`v'
		g lower_`v'= `v' - 1.96*STD_`v'
	}
	
	twoway 	( rarea   upper_married_to_unmarried_v3 lower_married_to_unmarried_v3    yrsusa1 ,    color(ltblue)  ) || /// 
		    ( rarea   upper_unmarried_to_married_v3 lower_unmarried_to_married_v3     yrsusa1 ,    color(" 189 30 36*.1")  ) || ///  
		    (line   married_to_unmarried_v3 yrsusa1 , lcolor(blue))  ///
	        (line   unmarried_to_married_v3    yrsusa1 , lcolor(red) ) ///
			, legend(order(3 "from married to unmarried" 4   "from unmarried to married") region(lwidth(none)) ) ///
		    xtitle("Years in the US")  ytitle("")   ylab(, angle(horizontal)) graphregion(color(white)) name(fig2women,replace) ///
			title("Figure 2 panel b, women")
	
	graph export "${result}/Fig2_panelB.png", width(1000) replace 
	
			
twoway 	(rarea   upper_married_to_unmarried     lower_married_to_unmarried    yrsusa1 ,    color(ltblue)  ) || /// 
		(rarea   upper_married_to_unmarried_v2  lower_married_to_unmarried_v2    yrsusa1 ,    color(ltblue)  ) || /// 
		(rarea   upper_unmarried_to_married     lower_unmarried_to_married    yrsusa1 ,     color(" 189 30 36*.1")  ) || /// 
		(rarea   upper_unmarried_to_married_v2  lower_unmarried_to_married_v2   yrsusa1 ,    color(" 189 30 36*.1")   ) || /// 
	    (line   married_to_unmarried yrsusa1 , lcolor(blue))  ///
	    (line   married_to_unmarried_v2  yrsusa1  , lcolor(blue) lpattern(dash)) ///
	    (line   unmarried_to_married    yrsusa1 , lcolor(red) ) ///
	    (line   unmarried_to_married_v2  yrsusa1  , lcolor(red) lpattern(dash)) ///
         , legend(order(5 "from married" "to unmarried" "assumption 1" 6  "assumption 2" ///
		   7 "from unmarried" "to married" "assumption 1"  8  "assumption 2" ) col(1) region(lwidth(none)) ring(0) position(11) symxsize(5pt) size( medsmall  )     ) ///
		  xtitle("Years in the US") ytitle("")  ylab(, angle(horizontal)) graphregion(color(white)) name(figA1women,replace) ///
			title("Figure A.1 panel b, women")

	graph export "${result}/FigA1_panelB.png", width(1000) replace 

restore




***********************************************************************************************************************	*						
* DISPLAY FIGURE 2 
************************************************************************************************************************			

graph replay fig2men
graph replay fig2women

***********************************************************************************************************************	*						
* DISPLAY FIGURE A.1 
************************************************************************************************************************			

graph replay figA1men
graph replay figA1women

