 
 use  "ACS_collapsed_2008_2021.dta",replace 
  
   
	g probcond_unmar_to_mar = 100* perwt_gotmar_aftmig /(perwt_unmar )
	g prob_unmar_to_mar     = 100*  perwt_gotmar_aftmig /(inflow_unmar )
	
	g probcond_mar_unmar =100*  perwt_gotunmar_aftmig/perwt_mar 
	g prob_mar_unmar     = 100*  perwt_gotunmar_aftmig/inflow_mar 
	
	  
  
  * RETURN MIGRATION
  
************************************************************************************************************************			
*  FIGURE 3, PANEL and PANEL B		
************************************************************************************************************************			
 

 twoway (line  return_mar  yrusa if sex=="all" , lcolor(green) )  ///
		(line  return_unmar yrusa if sex=="all" , lcolor(orange) ) , ///	
	legend(order(1  "Married before migration"   2  "Unmarried before migration" ) region(lwidth(none)) ///
		col(1) region(lwidth(none)) ring(0) position(11)   symxsize(5pt) size( med)  ) ///
		    xtitle("Years in the US")  ytitle("")   ylab(, angle(horizontal)) graphregion(color(white)) ///
			xlabel(1 2 3 4 5 6 7 8 9) title("Figure 3, panel a") name(fig3_A,replace)
	
	graph export "${result}/Fig3_panelA.png", width(1000) replace 
			
			
 twoway (line  return_mar  yrusa  if sex=="male" , lcolor(green) )  ///
		(line  return_mar  yrusa  if sex=="female" , lcolor(green) lpattern(dash) )  ///
		(line  return_unmar yrusa if sex=="male" , lcolor(orange) ) ///
		(line  return_unmar yrusa if sex=="female" , lcolor(orange) lpattern(dash)  ) , ///
	legend(order(1  "Married before migration, Male"  2 " ''  '', Female"    ///
				3  "Unmarried  before migration, Male"   4  " ''  '', Female" ) region(lwidth(none)) ///
				 col(1) region(lwidth(none)) ring(0) position(11)   symxsize(5pt) size( med) ) ///
		    xtitle("Years in the US")  ytitle("")   ylab(, angle(horizontal)) graphregion(color(white)) ///
			xlabel(1 2 3 4 5 6 7 8 9) title("Figure 3, panel b") name(fig3_B,replace)

	graph export "${result}/Fig3_panelB.png", width(1000) replace 
			
************************************************************************************************************************			
*  FIGURE 4, PANEL A 	
************************************************************************************************************************			
 
 twoway  (line  probcond_unmar_to_mar  yrusa  if sex=="male" , lcolor(red))  ///	
		 (line  prob_unmar_to_mar     yrusa   if sex=="male" ,lcolor(red) lpattern(dash))  ///	
         (line  probcond_mar_unmar  yrusa     if sex=="male" , lcolor(blue))  ///	
		 (line  prob_mar_unmar  yrusa         if sex=="male" ,lcolor(blue) lpattern(dash)),   ///	
		    xtitle("Years in the US")  ytitle("")   ylab(, angle(horizontal)) graphregion(color(white))  xlabel(1 2 3 4 5 6 7 8 9) ///
			legend(order(1 "Probability to get married" "conditional on staying" 2  "Unconditional probability" ///
						 3 "Probability to get unmarried" "conditional on staying" 4  "Unconditional probability" ) ///
						 col(1) region(lwidth(none)) ring(0) position(11) symxsize(5pt) size( medsmall)) ///
			title("Figure 4 panel a, men") name(fig4_A,replace)			 
			
	graph export "${result}/Fig4_panelA.png", width(1000) replace 
	
 
************************************************************************************************************************			
*  FIGURE 4, PANEL B 	
************************************************************************************************************************			
 
   twoway  (line  probcond_unmar_to_mar  yrusa  if sex=="female" , lcolor(red))  ///	
		   (line  prob_unmar_to_mar  yrusa 	    if sex=="female" ,lcolor(red) lpattern(dash))  ///	
           (line  probcond_mar_unmar  yrusa     if sex=="female" , lcolor(blue))  ///	
		   (line  prob_mar_unmar  yrusa         if sex=="female" ,lcolor(blue) lpattern(dash)),   ///	
		    xtitle("Years in the US")  ytitle("")   ylab(, angle(horizontal)) graphregion(color(white))  xlabel(1 2 3 4 5 6 7 8 9) ///
			legend(order(1 "Probability to get married" "conditional on staying" 2  "Unconditional probability" ///
						 3 "Probability to get unmarried" "conditional on staying" 4  "Unconditional probability" ) ///
						 col(1) region(lwidth(none)) ring(0) position(11) symxsize(5pt) size( medsmall)) ///
			title("Figure 4 panel b, women")	name(fig4_B,replace)			 
			
graph export "${result}/Fig4_panelB.png", width(1000) replace 
	
 