

use "ENOE_2005_2018.dta" ,clear 


	
* TREATMENT 
	
	g incouple    = e_con ==1 | e_con==5
	g married     =  e_con==5
	g unionlibre  =  e_con ==1
	
	label var married  "Married"
	label var  unionlibre "Informal union"
	
	global treat married unionlibre 
	
	
	
	
* Outcome : 	
	*** migration in the 4 next quarter
	label var  usmigrant_ever  "US Migration in the next 4 quarter (in %) "
			
		replace usmigrant_ever= 100*usmigrant_ever 

	
*** KEEP MALE 18-40 

	keep if male1840==1
	g male1825= male==1 & inrange(age,18,25)
	keep if edu_level!=. 
	
	
		*drop if e_con==2 | e_con==3 | e_con==4 
	
	
	
	
	* control 
	
	cap drop rural 
	g rural=  t_loc==4 /* RURAL= Localidades menores de 2 500 habitante - same as ENDIREH*/
    egen id_panelgroup   =group(panel_group )
	
	egen rur_ent= group(rural ent )
	
	global m1     rural  i.id_panelgroup  
	global m2 $m1  i.ent 
	global m3 $m2    i.age 
	global m4 $m3    i.edu_level 
	global m5 $m4    i.hhsize_q1 
	
	global model_1   "Dummies", "" \ "Rural, quarter FE", "Yes" \ "State FE", "" \ "Age", "" \ "Education level", ""  
	global model_2	 "Dummies", "" \ "Rural, quarter FE", "Yes" \ "State FE", "Yes"  \ "Age", "" \ "Education level", ""  
	global model_3	 "Dummies", "" \ "Rural, quarter FE", "Yes" \ "State FE", "Yes" \ "Age", "Yes" \ "Education level", ""  
	global model_4	 "Dummies", "" \ "Rural, quarter FE", "Yes" \ "State FE", "Yes" \ "Age", "Yes" \ "Education level", "Yes"  	
		
	g bothparent_inhh= father_inhh==1 & mother_inhh ==1
	
	
********* REGRESSION ********* 
	
global option varlabels   bdec(3) se starloc(1) starlevels(10 5 1) nocenter  summstat(r2_a \ N) summtitle("Adjusted-  $ R^2 $"\"Observations") ///
				summdec(3 0)  statfont(fs11)  rtitlfont(fs11)  ctitlfont(fs11) landscape 


	tempvar samplee
	g `samplee'= bothparent_inhh ==1
	
	
	local j=1 
	foreach y of varlist  usmigrant_ever   {
		
	outreg, clear(base`j')
	outreg, clear(hetrur`j')
	
	local l  :  variable label `y'
	dis "`l'"
	qui su `y'    if   `samplee'==1  &  married==0 & unionlibre ==0 
	local av: di %4.3f  r(mean)
	
	foreach k in 1 2 3 4 {
	qui reg `y'    $treat ${m`k'}  if   `samplee'==1 
	qui outreg, merge(base`j')	 nod keep( $treat ) ctitle( "", "")   ${option} addrows( "", "" \  "Average outcome among unmarried", `av'  \ "${model_`k'}" ) 
		}
	
	*RURAL URBAN HETERO 
	
	qui su `y'    if   `samplee'==1  &  married==0 & unionlibre ==0 & rural==1
	local av_rur: di %4.3f  r(mean)
	qui su `y'    if   `samplee'==1  &  married==0 & unionlibre ==0 & rural==0
	local av_urb: di %4.3f  r(mean)

	foreach k in 4 {
	qui reg `y'    $treat  ${m`k'}  if   `samplee'==1  & rural==1 
	qui outreg, merge(base`j')	 nod keep( $treat ) ctitle( "", "rur") ${option}  addrows( "", "" \  "Average outcome among unmarried", `av_rur'\"${model_`k'}" )  
		}
	foreach k in 4 {
	qui reg `y'    $treat  ${m`k'}  if   `samplee'==1  & rural==0  
	qui outreg, merge(base`j')	 nod keep( $treat ) ctitle( "", "urb") ${option}   addrows( "", "" \  "Average outcome among unmarried", `av_urb'\"${model_`k'}" )  
		}	
	
	local j= 1+`j'
	}
	*
	
	outreg  using "${result}/Table3"  , replace  replay(base1) title("Table 3: US Migration in the next 4 quarter (in %)")  rtitlfont(fs11)
	
	