

** Master file 


	clear all
	cap log close
	set more off, permanently
	set max_memory 100g
	set maxvar 10000, permanently
	estimates clear 


* Specify the main directory in cd, which should contain the dataset and have a folder called output for the results to be stored
	
if c(username)=="wb614536"{
global maindir "C:/Users/wb614536/OneDrive - WBG/Documents/Reproducibility/20231116-migration-counterfactual-family/files submitted/Replication/Replication/20231116-migration-counterfactual-family"
}
cd "$maindir"
global result "$maindir/output"


* Set global to ado_fldr
    global ado_fldr "$maindir/ado"
    
    * Make sure any version of ietoolkit is installed.
    * If not, prompt user to install from ssc
    cap which ietoolkit  
    if _rc == 111 {
        di as error "{pstd}You need to have {cmd:ietoolkit} installed to run this reproducibility package. Click {stata ssc install ietoolkit} to do so.{p_end}"
    }
    
    * Make sure installed version of ietoolkit is v7.0 or more recent
    * If not, prompt user to update ietoolkit from ssc
    ietoolkit
    if r(version) < 7.0 {
        di as error "{pstd}You need to update your installation of {cmd:ietoolkit} to run this reproducibility package. Click {stata ado update ietoolkit, update} to do so.{p_end}"
    }    
    
    ieboilstart, version(16.0) adopath("${ado_fldr}", strict) 
	`r(version)'
	
* Replicate TABLE 1
	do "Table1.do"
	
* Replicate TABLE 2
	do "Table2.do"
		
*Replicate TABLE 3
	do "Table3.do"
	
*Replicate Figure 1 and Figure A.2 in the appendix
	do "Figure1_figureA.2.do" 
	
*Replicate Figure 2 and Figure A.1 in the appendix
	do "Figure2_figureA.1.do"
	
*Replicate Figure 3 and Figure 4
	do "Figure3_Figure4.do"

*Replicate TABLE A.1, A.2, A.3, A.4, A.5 in the appendix
	do "Table A1-A.5.do" 
	